#pragma GCC system_header
/** Copyright (c) Outer Space Sounds 2020 */

#ifndef _HEAVY_CONTEXT_SYNTH_HPP_
#define _HEAVY_CONTEXT_SYNTH_HPP_

// object includes
#include "HeavyContext.hpp"
#include "HvControlPrint.h"
#include "HvTable.h"
#include "HvSignalSample.h"
#include "HvSignalPhasor.h"
#include "HvSignalTabread.h"
#include "HvSignalTabwrite.h"
#include "HvControlSystem.h"
#include "HvControlTabread.h"
#include "HvControlPack.h"
#include "HvControlCast.h"
#include "HvControlIf.h"
#include "HvControlBinop.h"
#include "HvControlSlice.h"
#include "HvControlTabhead.h"
#include "HvSignalRPole.h"
#include "HvMath.h"
#include "HvSignalDel1.h"
#include "HvSignalLine.h"
#include "HvControlVar.h"
#include "HvControlUnop.h"
#include "HvSignalVar.h"
#include "HvControlDelay.h"

class Heavy_synth : public HeavyContext {

 public:
  Heavy_synth(double sampleRate, int poolKb=10, int inQueueKb=2, int outQueueKb=0);
  ~Heavy_synth();

  const char *getName() override { return "synth"; }
  int getNumInputChannels() override { return 0; }
  int getNumOutputChannels() override { return 1; }

  int process(float **inputBuffers, float **outputBuffer, int n) override;
  int processInline(float *inputBuffers, float *outputBuffer, int n) override;
  int processInlineInterleaved(float *inputBuffers, float *outputBuffer, int n) override;

  int getParameterInfo(int index, HvParameterInfo *info) override;
  struct Parameter {
    struct In {
      enum ParameterIn : hv_uint32_t {
        ATTACK_0 = 0x749B58EE, // attack_0
        DELAY_AMMOUNT = 0xC856C6A4, // delay_ammount
        DELAY_FEEDBACK = 0x3BF5CB83, // delay_feedback
        DELAY_TIME = 0x6BB437E, // delay_time
        ENVELOPE_AMMOUNT_0 = 0xBA00F8C0, // envelope_ammount_0
        ENVELOPE_DEST_AMP_0 = 0x41FF1BBA, // envelope_dest_amp_0
        ENVELOPE_DEST_FEEDBACK_0 = 0x8B6FA2BC, // envelope_dest_feedback_0
        ENVELOPE_DEST_INDEX_0 = 0xC9C99193, // envelope_dest_index_0
        ENVELOPE_DEST_RATIO_0 = 0xD9A0B41F, // envelope_dest_ratio_0
        FEEDBACK_0 = 0xB5359052, // feedback_0
        GLIDE_0 = 0x26CA1C30, // glide_0
        INDEX_0 = 0xDFE0E90B, // index_0
        LFO_AMMOUNT_0 = 0xE400D975, // lfo_ammount_0
        LFO_DEST_FEEDBACK_0 = 0x87782412, // lfo_dest_feedback_0
        LFO_DEST_INDEX_0 = 0xA568939A, // lfo_dest_index_0
        LFO_DEST_PITCH_0 = 0x810B4C85, // lfo_dest_pitch_0
        LFO_DEST_RATIO_0 = 0xC8C38FC5, // lfo_dest_ratio_0
        LFO_FREQ_0 = 0xEC11BCEA, // lfo_freq_0
        LFO_FREQ_HZ_0 = 0x87A5BA85, // lfo_freq_hz_0
        LFO_RESET_0 = 0x61FE98A0, // lfo_reset_0
        PITCH_0 = 0x3A84DFE8, // pitch_0
        RATIO_0 = 0xAACFB70A, // ratio_0
        RELEASE_0 = 0xF0598C7A, // release_0
        SUB_0 = 0x5FC9B0A5, // sub_0
        SUSTAIN_0 = 0x26925CD4, // sustain_0
        VELOCITY_0 = 0x619F16FF, // velocity_0
        VOLUME = 0xB1642755, // volume
      };
    };
  };

 private:
  HvTable *getTableForHash(hv_uint32_t tableHash) override;
  void scheduleMessageForReceiver(hv_uint32_t receiverHash, HvMessage *m) override;

  // static sendMessage functions
  static void cReceive_rlaWwajt_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_feOoLpC7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_G5HQOHV5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_smJae3vU_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_RlANVVoD_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_dhs1Hds9_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_Kkge4fNo_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_9beA46e5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_O2K6UcZx_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_9z1JVjTz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_L8yriItD_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_MTxzOk0k_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_DhNPeOGJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_6sKFPBR2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_scMw20Ss_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_CvFKTsa6_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_8bszVGSp_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_T96PsBLx_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_GjVpyoRI_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_vUVmcvb3_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_2X31w41H_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_cdri7upd_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_d6Jb9Ovr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_q6OQnzuY_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_5m6H20hF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_ig7Z0X46_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_IbyPoeEZ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_kT6LxS3j_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_dN1i7xBY_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_XmlPV4FX_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_n8KjyhFz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_rUDsCfBp_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_ePHsit2D_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_nSn75kJH_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_drHmz3lD_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_8bqiarZe_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_uhHfJRoq_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_fveN9sXr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_EMSLWBoD_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_CLa6uD2e_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_keIrtwoK_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_GAVl6Hn7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_mNg4cR1U_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_dd7NWQQw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_Ul6tulMz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_kp2Pf2xv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_FtbVqAqc_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_fbCa8q2c_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cCast_oemr6scF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_J7YIOcoU_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_MrbIp8pV_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cUnop_9hSxZvD7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_6R5tY0RN_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_7vJAGtG2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cUnop_v7Gg8w0d_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cIf_XZxT8BSj_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_wn62AK1G_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_NJrRMFQ7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_C3athqMA_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_4HzX6IIR_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_2yJyiMWi_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_FkLGenYX_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_sCBqeBSE_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_pU3Nlc18_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_j2VDmq1P_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_3OhsJI3n_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_mMnsyu5p_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_pdaEesfQ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_DhLHViSM_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_WHID1brb_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_s6ZKTzi9_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_uDkmR0BG_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_6JcGsBGm_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_WgdbMvBn_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_0IMf8FeL_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_vAKMUio2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_nh3Ox12M_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_oLAkkJHs_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_jZ6HrZ6Z_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_ZFgpGgQ9_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_wkPVEE8q_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_tkNSBKiH_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_RPqWAdBX_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_YcxRX4n6_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_QjIh4aZK_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_N4Ep1GrP_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_YghjmNFG_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_4tPB1jOm_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_su94DVrk_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_WabHMtJ5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_NKXfNx2m_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_IxPr0Hii_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_k7e5hp6h_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_UaRN7Wh7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_T9xfWIGA_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_MfxmHORv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_hiYESmh7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_2iC5Odn0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_EfjmcNYz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_2LEGMzlf_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_wWxV5uXc_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_cYlcyKDm_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_HYu3Fjrg_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_NW8kSHbS_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_l9a716sS_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_CZaNKKLf_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_kNdHsaax_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_2czhdZnj_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_7TPOJRUu_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_5M6OZore_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_qstD8amb_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cTabread_jH53Yee7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_0MLDX9Iw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_mO1S6vxU_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_lcmVdwKp_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSlice_sCIm2lfy_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_XRHlMvLd_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cSend_t4h6kFN4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_fyvfRXsb_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_dSwF77VF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_eF1gzkUH_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_1seEIspe_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_YW3Brpan_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_R247dOgF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_3qyTKoc2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_02pbNSX2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_Ei8bXRAF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_eQTH8Zkx_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_oU9gjZoN_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_BrGKUDOR_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_flUr8EUZ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_QiZ5hllT_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_El7xEJN4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_phnC5EDF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_5tYm4Umw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_bH702JCT_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cTabread_ioHN0FUd_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_PGnTRRIQ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_3F4lmA43_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_h7ZEepwW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_U5QcIPlq_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_YmqejMD7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_DT2ba0iY_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_WmK82pi0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_YMxpnYCF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSlice_E9fkBBDJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_WRQz3sZ7_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cMsg_NGW354Kb_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_bLMhaBDh_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_V4Z2AcNj_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_DyMj0pq1_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_rVQBalVz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_nt3Si7Hg_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cIf_ebdnKtTo_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_GUYnNbnN_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_lukKVNVi_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_4s2KJfK5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_7F89Sk81_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_LJfffKfV_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_OVuEw2YN_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cBinop_4Mu7zKXd_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_Qb9ikZu8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_ZnwZDUAC_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cBinop_WXwcilWo_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_xja8MlDe_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_IdLMaTb6_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_Yn3kxyYY_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_oeNhXwpp_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_uo09NmB6_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_ZiJjY5mR_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cCast_1W1IJCuR_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cIf_aQs1kGWp_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_rojiv2dW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_4G4lmF85_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cSend_eE7IqbL5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_WFBoco2E_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_OaygRVMe_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void sSample_9ciyL7tN_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_ATy1ux7P_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_ebqRHM5j_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_Cgy6mRSv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_FWvg3Ny4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void sSample_SP12tpHr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_rODUNaLh_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_IGernwVI_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_rgVXeavk_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cCast_QT8pepMy_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_4Lt1DSZs_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_tC6ejyiP_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_GwZpOiZT_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_HywB6wPG_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cBinop_LqCaaUpO_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_b5x6gtvr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_HamPp3FJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_xuyHdsBC_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_90wmw49Y_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_tlKSkeSP_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_vZgt9G8A_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSlice_EIQzQjtZ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_2hJ9Bfsa_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cCast_3EitJT2K_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_cxucnJMv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_de8FwXnD_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cTabread_RKA0jRm4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_YqAcyjLN_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_oVWIbLnG_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_D9DzepvJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_lq3IjktY_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_3K4688p0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_nnNYWjgr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_vJl2dt3S_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_HmpQj8YQ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_28AF2F86_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_IUQA8OJJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_MgU7R9rJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_jB5aYN5V_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cMsg_VJNLozky_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_tMnAlmCz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_aoStqavz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_GsZJmBcl_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_s9ZWBTi9_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_QbfLUliJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_9edO2zIW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_jOHrsQlw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_rqssRkJ1_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_63EGFIWv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_82m8Sfl3_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_jZRqtraR_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_nRSFx5rZ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_yEXryiIX_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_TUNH2epJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_G4rCKpuD_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_abiSVWMs_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cUnop_y0hSItGz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_eUIljiiT_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_vT1vkR0c_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_QSe1kpIo_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_RcbKI0Gu_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cCast_TXm8p96r_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_6j19qgwF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_InEQGHJj_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_JYSqj3Bk_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_dfbMH1DQ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_hJAfQ08H_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cUnop_Mx5XDDhi_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cUnop_Ig0OBgTT_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cIf_j7xNDlQt_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_y8c5O4VH_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_3NBMx8CL_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_jq9up1Wd_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_mwRJwJ3M_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_u0nAqax6_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_Ub23mgz8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_H35IfgRu_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_0KVSTuax_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_EQHn7k3w_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_LUsNK7aQ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_PqPTJC5T_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_K3DbmA3h_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_MPfNvoOC_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_b12Tkua4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_pkOJPFf6_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cUnop_EKOJV5Yj_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_IYl5CAUx_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_m8nvz9JK_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cUnop_kN5qoEBW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cIf_wd23jngr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_BN1KuVSI_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_vXhznEGL_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_rAQSpLq8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_Sy9HSlbE_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_fBqVDehg_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_6Mz4Mnww_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_G6QYuDa7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_kD9i0LWN_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_tjDtxjti_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_FTlp0fwk_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_hkhc7MZA_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_zk2u56hg_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_diDajUZR_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_9VJ6qiF7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_eVNbIR5m_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_rx4xvhuL_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_ake45SM5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_lqkRnqYO_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_GcqCN83Y_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_mB0vhFEV_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cMsg_E4G4rGwB_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_KJcZ49Co_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_piS6pTey_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_ccstMH0m_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_Yj548x1S_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_mjl8qzeG_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_Qm6b7uJ2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_sJbFpfoa_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cMsg_VBS52vdM_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_NssDl6Jz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_mLEmY8kn_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_qUSeSXkw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_GuLfzb6G_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_Qjb2PDD2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_4ssJjqnu_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_mwGULCZr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_rnDB4Zye_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_aYo6sWcv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_U0ewEBJV_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_UeiMmmIE_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_KHQXc1Ai_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cVar_qXHoCL06_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_5xrzGt3p_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_qMD2RXpZ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_PgC3nMlC_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cUnop_EyPR6Z38_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_Lfqmkw3Q_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_nMV4PQa9_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_tiQHrMG8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_QoyNnUtX_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_nrP6Wjsb_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_q1hXwsfP_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_fVNcZzZM_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_iWFg8SMH_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_uQFfq0rA_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_LYfr5T8h_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_S50YOgD2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_enUR1apS_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cMsg_zU6igx5Z_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_E1dRJYCl_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSlice_kzF5hnH0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_OLPQ9up7_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cBinop_xmgl2hEN_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cTabread_arR6m1eh_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_op0M2FV3_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_aIvXUPot_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_sqIbZaHC_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_BMW9h2do_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_aSeaMwb9_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_N1lkqNEo_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_vEYaytIq_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_4H8oIKbX_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_Nz3LVmRw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_uwlxXChK_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_uGjxcMOT_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_1a4WitGs_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_shtXozx0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_ObmQb8nl_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_IctbSuOs_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_cPBRUe2M_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_f6VT1Iy5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_YJiBNWvK_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_4lqONWm1_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_Z1DYDNw5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_YCOZmWR8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_PNDvaZO1_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_56uvnI07_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_JfTUlBcA_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_MMbjwLyz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_bANxWIci_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_v091cDa2_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cCast_LEmr0vWv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_s95KHBXs_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cCast_4fP83goa_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_nqWppnOw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_cp1NFonb_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_sZqw0T5j_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_ZqUcl7Qp_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cDelay_YsOVA801_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_8ddGgmUV_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_YZm1QDIE_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_zOVr28Lq_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_ONzfn7Za_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_RM1NGgEz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_aWG4KXbP_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_FPJa31yZ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_m6kuUr0B_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_82FPDeZk_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_ci1TgwRl_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cDelay_mOaKe7rb_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_WrVVwxAS_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_5TWgLUsH_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_91Mgj0V8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_WwYculbS_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_7i3Oa9tW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_CnPTBNT7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_xZWy0vxD_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_Mr0SAvpD_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_QiSCWlND_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_7tPdlLJu_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_JUZO3P1f_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_HYJwkXQR_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cBinop_kqn2dcO2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_McO6Uwib_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_GkdyUWyc_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_ceOzZAnw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_Dy0hu9xv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_aOf5gPtO_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_Ziqo2v7q_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_4LPRYOWV_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_1unQUd1u_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSlice_5yxpVml8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_EAzNQDzr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_fpsqT8ug_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cMsg_dBEXfs5C_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_himKAQNy_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_gybJsNfp_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_oidMN1Mb_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_d2Dw2bCl_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_FpmPyOAw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_1vi6xg1l_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_yBJnYYQJ_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cMsg_szpiFa1v_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_EdApEvcz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_yfvyQ7Gn_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_r6sjzoch_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_DAmBqDgr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_zAa1evre_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_XxX24Lgr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_GbRQOSs0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_bigdhXyR_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cPack_MMClDkPn_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_aGKG2Pbz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_41Pq9hEH_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_T9uSHVJv_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cCast_SNf4izUG_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_g4WYM4XG_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_DSl5kPIN_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_wiKey0Qj_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_YBaLrNnO_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_QwSp7lyF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_uoVbWxGY_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_dv73VWGZ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_xMhoV8HI_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_UigP8iJP_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_NOVYuJPq_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_Wc0Ff3Cj_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cIf_Ti0HZiK8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_AALdhr6g_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_I9S2Eyfx_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_466Op0KX_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_XDZEHfGo_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_2zmw9Zgn_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_dPvy5su3_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_5J8f82gf_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_drQP942x_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cTabread_NuFSq3LT_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSlice_UO2WyIxi_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_Pe3mafN1_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cVar_trOLUwoS_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_PF4Mmjbt_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_9YaOyBtI_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cIf_WgavCPcW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_GAyyz6oB_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_QrQFAnED_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_smTNFbeg_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_1okaa7EW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_FS96xqpC_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_bxJ8TfDQ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_yPNhzPa0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cIf_mj1JoyDG_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_5MfMm7xJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_WNpYBl4d_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_FRpIRzEI_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_eyvV5k7W_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_ewyi67Z5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_2w9kvpvT_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_GpmtCT71_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_swIJ0XEK_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_78fGGiCt_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_sCx5WOih_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_4tf4uBqA_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_AQSFIqPB_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_LvEr4TU4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_xdk6AkOK_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_hOtNP9aW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_1dtm8MFF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_cgNLIEVD_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cIf_UJDrmu9v_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_Wwvt0vuP_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_vbgBqdEx_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_GNh86vb7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_dEiaX1gt_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSlice_WH4veurD_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_SIXsLPuN_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cTabread_DVVckMUQ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_5fD0zyf4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_oVfropPU_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_D6ALESIG_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_2EEWwJCE_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_NgCourWC_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_t0fynEx0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_DLJWNunG_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_5EXBGyjt_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_TshecLE0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_7vVywhcr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_5uPCS44u_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cMsg_IvOKpLV4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_oK955Cgd_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_rtaByOSL_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_w4sPZkay_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_rWn7EGdW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void hTable_0imNoPDz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_EFl0TlrW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_Gbsbhajy_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_6qB4fGad_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_zGwVeZtN_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_6hlvWdM6_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_5OGGFQfT_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_wnhCPgEm_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_oIOvMiMY_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_1JHA8Dp7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_Ldpv4CD4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_SbPhrIX8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_smBKC18Z_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_ncA8TNj5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_x76ltwkP_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_wr5lT8Iq_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_78CeT2GM_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_uao1hUPt_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_Of7UlZOF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_ViBpV5AE_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_vvNP0as6_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_NSWt5ItB_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_iEL5lfBL_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cTabhead_tgRWnJXO_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_KAiCgbu3_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_vSW8pTS5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_1Wqgmb9f_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_JrDN97bH_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_9XJx2Jun_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_6DHDcZBw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_KQ4s9kMj_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_iWt4owCG_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_KK1ZCOFw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void sTabread_m9RCLuis_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_6qleUf4N_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_QpsjMVpl_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_WcuYl8iQ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_acEOZ5V7_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cMsg_72F8ukaf_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_eB7HE8ff_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_zLkVlrGV_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_zr34ZRuZ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_BA9ukj1e_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_yu6CPPD5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_wz0vuoCz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_J5IEpZo2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_nUCrvHI1_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_RWC8f3FM_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_FC4MEGVP_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_iy6aN3LU_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_pwax1pxD_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_I7lPd9N5_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cPack_IDGWIuor_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_jqAS9w4y_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_VAOkWdQm_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_fHXWhQH7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cIf_2YKPob9h_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_A9ny41L0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_WkrC7cql_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_YFOax0rI_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cCast_ccD1PrbL_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_FPICtr39_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_lyGL2m1G_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_zDzBMJnD_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cIf_4I7c8jdZ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_Y1H6xbYl_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_gtGd09ic_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_EDWqhiOZ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_STN6X2S9_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_oJcXXByM_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_mpLn7hjV_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_dmHyxuLM_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_OD5hhHAi_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_5gAejOpn_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_2XyHX45t_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_jSJgXVIW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_wPKaYhUb_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_TUV7HxFA_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_2f9W2MYJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_t7FF9ydX_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_kqMXyC6D_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_VCLn2xwb_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_UBKIuRVO_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_ZkvvhiuJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_7CuJfPyY_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_F9IcD6g4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_cpmAztjR_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSwitchcase_JyJhF79U_onMessage(HeavyContextInterface *, void *, int letIn, const HvMessage *const, void *);
  static void cVar_MbfTHmpU_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_smXvOGU5_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_Fpz09sqT_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_kenlTjo8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_kl9K5tuB_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_udes4Qyj_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_0FBMkGSv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_zLWeK6qr_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_hX4Gi7pW_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_TPt70aMc_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cIf_BIQYlm36_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_a2OJhnOf_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_fpX0HMTL_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_TtTNBlYT_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_fDsCppVF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cPack_UQY5y21j_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_r49M28zx_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_0RV6lLNf_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_Ta1PbNJk_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_Q0F1fVoJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_UIl8z8sp_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_DI4XfGvO_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void hTable_1y7bqGpa_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_JW3awh9X_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_MUpSAzLA_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_wMKsjRD8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_TNnW8G70_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_pjWiLZoJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_8hFUOkbv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_Xsxmolu1_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_pcLzjnwL_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_tbVUTaFK_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_5HzEFqld_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_ZU8hdvWQ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_96qSx0gO_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_WF9U3Bgv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_ORImLyFF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_FK1E5Brc_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_WgBngO0o_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_IRrwEhFC_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_9rsD7Pyh_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_JF11AsIx_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cVar_qesRfIuu_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_UxSU63Oc_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cCast_26HtLg1S_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_TesopmK4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_YFEwYiF0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cTabhead_IdTpUxZB_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_OjbBl6nA_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_Xsb3fnFx_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_fFj8pFtA_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_jhKmS8Ld_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cDelay_w87cExb7_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSystem_FTmtipR8_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void sTabread_KBykqdxM_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_MlnU6OBb_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_cxSnb8Sw_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_PVGKgJRk_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cMsg_MhTPiutz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_NofGLY2k_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_dSro6zBy_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_CkxA5Dwc_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_pQCgoYSB_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_48h87Zws_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_NadqWUXH_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_Vqj1ZNTG_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_c13VGFZz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_K1mO7Q1Z_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_GYyjfy8t_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_mEKHXcVC_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_C9kQXVL2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_Hll5d1Mn_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_2dE2VCLJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cSend_h8mKvZH4_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cBinop_qP4Z5zsd_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_ZEfb0LmE_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_oVOdRZ9l_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_wOSm8CI2_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_c4ZAeFtj_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_LmcsPCOe_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_3OTdfR3w_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_qeaCKt8Z_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_a4VrZO1i_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_aQg684rv_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_vRbGQaw0_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_gend1jLP_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_lyMgJXkV_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_SJNCFwWz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_onlHCxRZ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_mgKCNDiY_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_GIQpuhiE_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void hTable_1za5I53v_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void hTable_qCreI3Ul_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void hTable_Bf7N68kY_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void hTable_UkPYOFxS_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void hTable_4UerBl9L_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void hTable_glxfveeK_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_d9wUbHhU_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_aEm9JFaS_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_goQwA4by_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_IACGTVFo_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_lXETppkz_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_if3quRZh_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_KGymta9e_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_J7feZFSc_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_HdYlPR43_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_Xde1Q26X_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_TqdigtKJ_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_kdhAwvbF_sendMessage(HeavyContextInterface *, int, const HvMessage *);
  static void cReceive_3PkIgGvK_sendMessage(HeavyContextInterface *, int, const HvMessage *);

  // objects
  SignalLine sLine_V1NWizmG;
  SignalPhasor sPhasor_y5gcbfU7;
  SignalLine sLine_plB5Ok20;
  SignalPhasor sPhasor_ZaTAX0hZ;
  SignalLine sLine_L8D1wWHW;
  SignalLine sLine_shIIxOho;
  SignalSample sSample_SP12tpHr;
  SignalSample sSample_9ciyL7tN;
  SignalTabread sTabread_2vkEMHi7;
  SignalTabread sTabread_YIjWZWiW;
  SignalLine sLine_Z6bmW70F;
  SignalLine sLine_fkbQgpRg;
  SignalLine sLine_X1idqRT4;
  SignalLine sLine_anOh0Rbn;
  SignalLine sLine_pVARAx25;
  SignalLine sLine_CN1zkYIl;
  SignalLine sLine_2hDNzY9b;
  SignalLine sLine_hUQyj5rp;
  SignalLine sLine_8tv7rTCt;
  SignalPhasor sPhasor_tVt0TNQO;
  SignalLine sLine_anZ6frYO;
  SignalPhasor sPhasor_eTHCXMBt;
  SignalTabread sTabread_m9RCLuis;
  SignalTabwrite sTabwrite_AAFeY4rv;
  SignalLine sLine_4a5Y5Cn1;
  SignalTabread sTabread_KBykqdxM;
  SignalRPole sRPole_nYTaWfUE;
  SignalDel1 sDel1_QdizqKoZ;
  SignalLine sLine_u99x4HsH;
  SignalTabwrite sTabwrite_2EVjLNVz;
  SignalLine sLine_WZtwwXIj;
  ControlPack cPack_kT6LxS3j;
  ControlBinop cBinop_nSn75kJH;
  ControlBinop cBinop_fveN9sXr;
  ControlBinop cBinop_EMSLWBoD;
  ControlBinop cBinop_keIrtwoK;
  ControlBinop cBinop_GAVl6Hn7;
  ControlBinop cBinop_6R5tY0RN;
  ControlVar cVar_7vJAGtG2;
  ControlIf cIf_XZxT8BSj;
  ControlBinop cBinop_FkLGenYX;
  ControlBinop cBinop_j2VDmq1P;
  ControlBinop cBinop_s6ZKTzi9;
  ControlVar cVar_6JcGsBGm;
  ControlBinop cBinop_WgdbMvBn;
  ControlBinop cBinop_vAKMUio2;
  ControlVar cVar_nh3Ox12M;
  ControlBinop cBinop_oLAkkJHs;
  ControlVar cVar_ZFgpGgQ9;
  ControlBinop cBinop_wkPVEE8q;
  ControlBinop cBinop_RPqWAdBX;
  ControlBinop cBinop_YcxRX4n6;
  ControlBinop cBinop_N4Ep1GrP;
  ControlVar cVar_YghjmNFG;
  ControlVar cVar_4tPB1jOm;
  ControlBinop cBinop_su94DVrk;
  ControlBinop cBinop_WabHMtJ5;
  ControlVar cVar_NKXfNx2m;
  ControlBinop cBinop_k7e5hp6h;
  ControlBinop cBinop_UaRN7Wh7;
  ControlBinop cBinop_EfjmcNYz;
  ControlBinop cBinop_2LEGMzlf;
  ControlVar cVar_wWxV5uXc;
  ControlBinop cBinop_cYlcyKDm;
  ControlVar cVar_HYu3Fjrg;
  ControlBinop cBinop_NW8kSHbS;
  ControlVar cVar_2czhdZnj;
  ControlBinop cBinop_5M6OZore;
  ControlTabread cTabread_jH53Yee7;
  ControlBinop cBinop_0MLDX9Iw;
  ControlBinop cBinop_mO1S6vxU;
  ControlSlice cSlice_sCIm2lfy;
  ControlBinop cBinop_5tYm4Umw;
  ControlTabread cTabread_ioHN0FUd;
  ControlBinop cBinop_PGnTRRIQ;
  ControlVar cVar_DT2ba0iY;
  ControlBinop cBinop_WmK82pi0;
  ControlBinop cBinop_YMxpnYCF;
  ControlSlice cSlice_E9fkBBDJ;
  ControlIf cIf_ebdnKtTo;
  ControlBinop cBinop_GUYnNbnN;
  ControlBinop cBinop_4Mu7zKXd;
  ControlBinop cBinop_WXwcilWo;
  SignalVarf sVarf_oru6MDMz;
  ControlDelay cDelay_oeNhXwpp;
  ControlIf cIf_aQs1kGWp;
  ControlBinop cBinop_ATy1ux7P;
  ControlBinop cBinop_LqCaaUpO;
  ControlVar cVar_xuyHdsBC;
  ControlBinop cBinop_tlKSkeSP;
  ControlBinop cBinop_vZgt9G8A;
  ControlSlice cSlice_EIQzQjtZ;
  ControlBinop cBinop_de8FwXnD;
  ControlTabread cTabread_RKA0jRm4;
  ControlPack cPack_lq3IjktY;
  ControlBinop cBinop_nnNYWjgr;
  ControlVar cVar_IUQA8OJJ;
  ControlPack cPack_eUIljiiT;
  ControlDelay cDelay_QSe1kpIo;
  ControlBinop cBinop_InEQGHJj;
  ControlVar cVar_dfbMH1DQ;
  ControlBinop cBinop_hJAfQ08H;
  ControlIf cIf_j7xNDlQt;
  ControlBinop cBinop_K3DbmA3h;
  ControlBinop cBinop_pkOJPFf6;
  ControlVar cVar_IYl5CAUx;
  ControlBinop cBinop_m8nvz9JK;
  ControlIf cIf_wd23jngr;
  ControlBinop cBinop_6Mz4Mnww;
  ControlBinop cBinop_G6QYuDa7;
  ControlBinop cBinop_9VJ6qiF7;
  ControlBinop cBinop_rx4xvhuL;
  ControlDelay cDelay_GcqCN83Y;
  ControlBinop cBinop_piS6pTey;
  ControlBinop cBinop_ccstMH0m;
  ControlBinop cBinop_mLEmY8kn;
  ControlVar cVar_qXHoCL06;
  ControlPack cPack_Lfqmkw3Q;
  ControlBinop cBinop_QoyNnUtX;
  ControlBinop cBinop_nrP6Wjsb;
  ControlVar cVar_E1dRJYCl;
  ControlSlice cSlice_kzF5hnH0;
  ControlBinop cBinop_xmgl2hEN;
  ControlTabread cTabread_arR6m1eh;
  ControlBinop cBinop_aIvXUPot;
  ControlBinop cBinop_aSeaMwb9;
  ControlBinop cBinop_uwlxXChK;
  ControlPack cPack_uGjxcMOT;
  ControlBinop cBinop_IctbSuOs;
  ControlBinop cBinop_cPBRUe2M;
  ControlDelay cDelay_MMbjwLyz;
  ControlBinop cBinop_nqWppnOw;
  ControlDelay cDelay_YsOVA801;
  ControlDelay cDelay_mOaKe7rb;
  ControlBinop cBinop_Mr0SAvpD;
  ControlBinop cBinop_7tPdlLJu;
  ControlBinop cBinop_kqn2dcO2;
  ControlBinop cBinop_Ziqo2v7q;
  SignalVarf sVarf_vJZp8Eib;
  ControlBinop cBinop_1unQUd1u;
  ControlSlice cSlice_5yxpVml8;
  ControlVar cVar_EAzNQDzr;
  SignalVarf sVarf_kCNTdUnt;
  SignalVarf sVarf_EB9hHQgd;
  SignalVarf sVarf_tt8YrM32;
  ControlPack cPack_r6sjzoch;
  ControlBinop cBinop_zAa1evre;
  ControlPack cPack_MMClDkPn;
  ControlVar cVar_DSl5kPIN;
  ControlVar cVar_wiKey0Qj;
  ControlBinop cBinop_YBaLrNnO;
  ControlBinop cBinop_uoVbWxGY;
  ControlBinop cBinop_dv73VWGZ;
  ControlBinop cBinop_UigP8iJP;
  ControlVar cVar_Wc0Ff3Cj;
  ControlIf cIf_Ti0HZiK8;
  ControlPack cPack_AALdhr6g;
  ControlBinop cBinop_I9S2Eyfx;
  ControlBinop cBinop_dPvy5su3;
  ControlBinop cBinop_drQP942x;
  ControlTabread cTabread_NuFSq3LT;
  ControlSlice cSlice_UO2WyIxi;
  ControlVar cVar_trOLUwoS;
  ControlVar cVar_9YaOyBtI;
  ControlIf cIf_WgavCPcW;
  ControlPack cPack_smTNFbeg;
  ControlVar cVar_FS96xqpC;
  ControlPack cPack_bxJ8TfDQ;
  ControlPack cPack_yPNhzPa0;
  ControlIf cIf_mj1JoyDG;
  ControlBinop cBinop_5MfMm7xJ;
  ControlVar cVar_WNpYBl4d;
  ControlBinop cBinop_FRpIRzEI;
  ControlBinop cBinop_2w9kvpvT;
  ControlVar cVar_GpmtCT71;
  ControlBinop cBinop_swIJ0XEK;
  ControlVar cVar_AQSFIqPB;
  ControlBinop cBinop_LvEr4TU4;
  ControlPack cPack_xdk6AkOK;
  ControlIf cIf_UJDrmu9v;
  ControlBinop cBinop_vbgBqdEx;
  ControlSlice cSlice_WH4veurD;
  ControlTabread cTabread_DVVckMUQ;
  ControlVar cVar_oVfropPU;
  ControlBinop cBinop_D6ALESIG;
  ControlBinop cBinop_NgCourWC;
  ControlBinop cBinop_t0fynEx0;
  ControlBinop cBinop_oK955Cgd;
  ControlDelay cDelay_rWn7EGdW;
  HvTable hTable_0imNoPDz;
  ControlBinop cBinop_6qB4fGad;
  ControlDelay cDelay_zGwVeZtN;
  ControlPack cPack_wnhCPgEm;
  ControlBinop cBinop_oIOvMiMY;
  ControlBinop cBinop_SbPhrIX8;
  ControlVar cVar_smBKC18Z;
  ControlVar cVar_78CeT2GM;
  ControlDelay cDelay_vvNP0as6;
  ControlBinop cBinop_NSWt5ItB;
  ControlBinop cBinop_iEL5lfBL;
  ControlTabhead cTabhead_tgRWnJXO;
  ControlBinop cBinop_vSW8pTS5;
  ControlDelay cDelay_1Wqgmb9f;
  ControlBinop cBinop_JrDN97bH;
  ControlBinop cBinop_6DHDcZBw;
  ControlBinop cBinop_6qleUf4N;
  ControlDelay cDelay_WcuYl8iQ;
  ControlPack cPack_RWC8f3FM;
  ControlVar cVar_FC4MEGVP;
  ControlPack cPack_IDGWIuor;
  ControlPack cPack_VAOkWdQm;
  ControlIf cIf_2YKPob9h;
  ControlPack cPack_zDzBMJnD;
  ControlIf cIf_4I7c8jdZ;
  ControlVar cVar_gtGd09ic;
  ControlBinop cBinop_oJcXXByM;
  ControlBinop cBinop_mpLn7hjV;
  ControlVar cVar_dmHyxuLM;
  ControlBinop cBinop_OD5hhHAi;
  ControlBinop cBinop_2XyHX45t;
  ControlVar cVar_jSJgXVIW;
  ControlVar cVar_TUV7HxFA;
  ControlBinop cBinop_2f9W2MYJ;
  ControlVar cVar_t7FF9ydX;
  ControlBinop cBinop_VCLn2xwb;
  ControlBinop cBinop_UBKIuRVO;
  ControlBinop cBinop_7CuJfPyY;
  ControlVar cVar_MbfTHmpU;
  ControlVar cVar_kenlTjo8;
  ControlBinop cBinop_udes4Qyj;
  ControlBinop cBinop_0FBMkGSv;
  ControlBinop cBinop_zLWeK6qr;
  ControlVar cVar_hX4Gi7pW;
  ControlBinop cBinop_TPt70aMc;
  ControlIf cIf_BIQYlm36;
  SignalVarf sVarf_O2ZpzBki;
  ControlPack cPack_UQY5y21j;
  ControlDelay cDelay_r49M28zx;
  ControlBinop cBinop_0RV6lLNf;
  HvTable hTable_1y7bqGpa;
  ControlDelay cDelay_JW3awh9X;
  ControlBinop cBinop_wMKsjRD8;
  ControlBinop cBinop_Xsxmolu1;
  ControlBinop cBinop_pcLzjnwL;
  SignalVarf sVarf_unmWCP8c;
  ControlBinop cBinop_tbVUTaFK;
  ControlBinop cBinop_5HzEFqld;
  ControlBinop cBinop_ZU8hdvWQ;
  ControlBinop cBinop_96qSx0gO;
  ControlBinop cBinop_WF9U3Bgv;
  ControlVar cVar_ORImLyFF;
  ControlBinop cBinop_FK1E5Brc;
  SignalVarf sVarf_0QZWQsNO;
  ControlBinop cBinop_WgBngO0o;
  SignalVarf sVarf_bfW5Nk4R;
  ControlVar cVar_qesRfIuu;
  ControlDelay cDelay_UxSU63Oc;
  ControlBinop cBinop_TesopmK4;
  ControlBinop cBinop_YFEwYiF0;
  ControlTabhead cTabhead_IdTpUxZB;
  ControlBinop cBinop_fFj8pFtA;
  ControlBinop cBinop_jhKmS8Ld;
  ControlDelay cDelay_w87cExb7;
  ControlBinop cBinop_MlnU6OBb;
  ControlBinop cBinop_PVGKgJRk;
  ControlBinop cBinop_qP4Z5zsd;
  HvTable hTable_1za5I53v;
  HvTable hTable_qCreI3Ul;
  HvTable hTable_Bf7N68kY;
  HvTable hTable_UkPYOFxS;
  HvTable hTable_4UerBl9L;
  HvTable hTable_glxfveeK;
};

#endif // _HEAVY_CONTEXT_SYNTH_HPP_
